<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>library_dir_dir/include/cobol_type19.incl.pl1</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="pl1">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.Macro { color: #00afaf; }
.PreProc { color: #00afaf; }
.pliRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.Number { color: #ff5faf; }
.Keyword { color: #00afaf; }
.Comment { color: #808080; }
.Normal { color: #d0d0d0; background-color: #000000; padding-bottom: 1px; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>
<span id="L2" class="LineNr"> 2 </span><span class="Comment">/* BEGIN INCLUDE FILE ... cobol_type19.incl.pl1 */</span>
<span id="L3" class="LineNr"> 3 </span><span class="Comment">/* last modified on 11/19/76 by ORN */</span>
<span id="L4" class="LineNr"> 4 </span>
<span id="L5" class="LineNr"> 5 </span><span class="Comment">/*</span>
<span id="L6" class="LineNr"> 6 </span><span class="Comment">A type 19 end of statement token is created in the procedure division</span>
<span id="L7" class="LineNr"> 7 </span><span class="Comment">minpral file at the end of each minpral statement generated by the</span>
<span id="L8" class="LineNr"> 8 </span><span class="Comment">procedure division syntax phase.  A minpral statement may be a complete or</span>
<span id="L9" class="LineNr"> 9 </span><span class="Comment">partial source language statement.  A type 19 token contains information</span>
<span id="L10" class="LineNr">10 </span><span class="Comment">describing the statement which it delimits.</span>
<span id="L11" class="LineNr">11 </span><span class="Comment">*/</span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span><span class="Keyword">dcl</span> <span class="Normal">eos_ptr</span> <span class="Macro">ptr</span><span class="Normal">;</span>
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span><span class="Comment">/* BEGIN DECLARATION OF TYPE19 (END STATEMENT) TOKEN */</span>
<span id="L16" class="LineNr">16 </span><span class="Keyword">dcl</span>       <span class="Number">1</span> <span class="Normal">end_stmt</span> <span class="Macro">based</span> <span class="pliRainbow_lv0_p0">(</span><span class="Normal">eos_ptr</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>
<span id="L17" class="LineNr">17 </span><span class="PreProc">%</span><span class="PreProc">include</span> <span class="Normal">cobol_TYPE19</span><span class="Normal">;</span>
<span id="L18" class="LineNr">18 </span><span class="Comment">/* END DECLARATION OF TYPE19 (END STATEMENT) TOKEN */</span>
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span><span class="Comment">/*</span>
<span id="L21" class="LineNr">21 </span><span class="Comment">FIELD               CONTENTS</span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span><span class="Comment">size                The total size in bytes of this end of statement token.</span>
<span id="L24" class="LineNr">24 </span><span class="Comment">line                0</span>
<span id="L25" class="LineNr">25 </span><span class="Comment">column              0</span>
<span id="L26" class="LineNr">26 </span><span class="Comment">type                19</span>
<span id="L27" class="LineNr">27 </span><span class="Comment">verb                A value indicating the verb in this statement</span>
<span id="L28" class="LineNr">28 </span><span class="Comment">                     1 = accept</span>
<span id="L29" class="LineNr">29 </span><span class="Comment">                     2 = add</span>
<span id="L30" class="LineNr">30 </span><span class="Comment">                     3 = on size error</span>
<span id="L31" class="LineNr">31 </span><span class="Comment">                     4 = alter</span>
<span id="L32" class="LineNr">32 </span><span class="Comment">                     5 = call</span>
<span id="L33" class="LineNr">33 </span><span class="Comment">                     7 = cancel</span>
<span id="L34" class="LineNr">34 </span><span class="Comment">                     8 = close</span>
<span id="L35" class="LineNr">35 </span><span class="Comment">                     9 = divide</span>
<span id="L36" class="LineNr">36 </span><span class="Comment">                    10 = multiply</span>
<span id="L37" class="LineNr">37 </span><span class="Comment">                    11 = subtract</span>
<span id="L38" class="LineNr">38 </span><span class="Comment">                    12 = exit</span>
<span id="L39" class="LineNr">39 </span><span class="Comment">                    14 = go</span>
<span id="L40" class="LineNr">40 </span><span class="Comment">                    15 = merge</span>
<span id="L41" class="LineNr">41 </span><span class="Comment">                    16 = initiate</span>
<span id="L42" class="LineNr">42 </span><span class="Comment">                    17 = inspect</span>
<span id="L43" class="LineNr">43 </span><span class="Comment">                    18 = move</span>
<span id="L44" class="LineNr">44 </span><span class="Comment">                    19 = open</span>
<span id="L45" class="LineNr">45 </span><span class="Comment">                    20 = perform</span>
<span id="L46" class="LineNr">46 </span><span class="Comment">                    21 = read</span>
<span id="L47" class="LineNr">47 </span><span class="Comment">                    23 = receive</span>
<span id="L48" class="LineNr">48 </span><span class="Comment">                    24 = release</span>
<span id="L49" class="LineNr">49 </span><span class="Comment">                    25 = return</span>
<span id="L50" class="LineNr">50 </span><span class="Comment">                    26 = search</span>
<span id="L51" class="LineNr">51 </span><span class="Comment">                    27 = rewrite</span>
<span id="L52" class="LineNr">52 </span><span class="Comment">                    29 = seek</span>
<span id="L53" class="LineNr">53 </span><span class="Comment">                    30 = send</span>
<span id="L54" class="LineNr">54 </span><span class="Comment">                    31 = set</span>
<span id="L55" class="LineNr">55 </span><span class="Comment">                    33 = stop</span>
<span id="L56" class="LineNr">56 </span><span class="Comment">                    34 = string</span>
<span id="L57" class="LineNr">57 </span><span class="Comment">                    35 = suspend</span>
<span id="L58" class="LineNr">58 </span><span class="Comment">                    36 = terminate</span>
<span id="L59" class="LineNr">59 </span><span class="Comment">                    37 = unstring</span>
<span id="L60" class="LineNr">60 </span><span class="Comment">                    38 = write</span>
<span id="L61" class="LineNr">61 </span><span class="Comment">                    39 = use</span>
<span id="L62" class="LineNr">62 </span><span class="Comment">                    40 = compute</span>
<span id="L63" class="LineNr">63 </span><span class="Comment">                    41 = disable</span>
<span id="L64" class="LineNr">64 </span><span class="Comment">                    42 = display</span>
<span id="L65" class="LineNr">65 </span><span class="Comment">                    43 = enable</span>
<span id="L66" class="LineNr">66 </span><span class="Comment">                    45 = generate</span>
<span id="L67" class="LineNr">67 </span><span class="Comment">                    46 = hold</span>
<span id="L68" class="LineNr">68 </span><span class="Comment">                    48 = process</span>
<span id="L69" class="LineNr">69 </span><span class="Comment">                    49 = sort</span>
<span id="L70" class="LineNr">70 </span><span class="Comment">                    52 = procedure</span>
<span id="L71" class="LineNr">71 </span><span class="Comment">                    53 = declaratives</span>
<span id="L72" class="LineNr">72 </span><span class="Comment">                    54 = section name</span>
<span id="L73" class="LineNr">73 </span><span class="Comment">                    55 = paragraph name</span>
<span id="L74" class="LineNr">74 </span><span class="Comment">                    98 = end</span>
<span id="L75" class="LineNr">75 </span><span class="Comment">e,h,i,j             The significance of these fields differs with each</span>
<span id="L76" class="LineNr">76 </span><span class="Comment">                    statement.  These fields are normally used as counters.</span>
<span id="L77" class="LineNr">77 </span><span class="Comment">a,b,c,d,f,g,k       The significance of these fields differs with each</span>
<span id="L78" class="LineNr">78 </span><span class="Comment">                    statement.  These fields are normally used as indicators.</span>
<span id="L79" class="LineNr">79 </span><span class="Comment">*/</span>
<span id="L80" class="LineNr">80 </span>
<span id="L81" class="LineNr">81 </span><span class="Comment">/* END INCLUDE FILE ... cobol_type19.incl.pl1 */</span>
<span id="L82" class="LineNr">82 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
